<template>
  <el-scrollbar
    style="width: 100vw"
    class="ol-bg-light ol-bo-light scrollbar-nav global-menu-bar"
  >
    <nav class="global z-[60]">
      <nuxt-link
        v-if="!homeTab.IsHidden"
        to="/"
        active-class="active"
        class="header-nav-link ol-bo-light"
        :class="{ 'ol-bg-light': isDesktop }"
        @mouseover="isFeatureContentEnabled = false"
        :id="ID.TAB_TYPE.HOME"
      >
        <div v-if="!isPeruShopEnabled" class="content pointer-events-none">
          <div class="icon-container">
            <SvgIcon svg-name="icon-home" class="w-[12px] h-[12px]" />
          </div>
          <span class="label">
            {{ $t("home") }}
          </span>
        </div>
      </nuxt-link>
      <nuxt-link
        v-for="menu in menuTabHeaders"
        :key="menu.TabType"
        :to="menu.TabURL"
        :name="menu.TabType"
        active-class="active"
        class="header-nav-link ol-bo-light"
        :class="{ 'ol-bg-light': isDesktop }"
        @mouseover="
          isDesktop &&
            productListFeatureHover(menu.TabType, String(menu.TabURL))
        "
        :id="ID.TAB_TYPE[menu.TabLanguage]"
      >
        <div class="content pointer-events-none">
          <div class="icon-container">
            <SvgIcon
              :svg-name="getIcon(menu.TabType)"
              class="w-[12px] h-[12px]"
            />
          </div>
          <span class="label">
            {{ $t(getLabel(menu.TabType)) }}
          </span>
        </div>
      </nuxt-link>
      <nuxt-link
        v-if="isAllowPromotionTab"
        to="/promotion"
        active-class="active"
        class="header-nav-link ol-bo-light"
        :class="{ 'ol-bg-light': isDesktop }"
        @mouseover="isFeatureContentEnabled = false"
        :id="ID.TAB_TYPE.PROMOTION"
      >
        <div class="content pointer-events-none" >
          <div class="icon-container">
            <SvgIcon svg-name="icon-promotion-2" class="w-[12px] h-[12px]" />
          </div>
          <span class="label">
            {{ $t("promotion") }}
          </span>
        </div>
      </nuxt-link>
      <nuxt-link
        v-if="isAppDownloadEnabled && isDesktop"
        to="/app-download"
        active-class="active"
        class="header-nav-link ol-bo-light"
        :class="{ 'ol-bg-light': isDesktop }"
        @mouseover="isFeatureContentEnabled = false"
      >
        <div class="content">
          <div class="icon-container">
            <SvgIcon svg-name="icon-download" class="w-[12px] h-[12px]" />
          </div>
          <span class="label">
            {{ $t("app_download") }}
          </span>
        </div>
      </nuxt-link>
    </nav>
  </el-scrollbar>
  <lazy-product-feature-tab-hover
    v-if="isDesktop"
    v-model:is-feature-hover="isFeatureContentEnabled"
    class="header-nav-hover"
    :component-key="componentKey"
    :feature-products="filterProductFeature"
  />
</template>

<script setup lang="ts">
const {
  menuTabHeaders,
  filterProductFeature,
  productListFeatureHover,
  isFeatureContentEnabled,
  isAllowPromotionTab,
  isAppDownloadEnabled,
  componentKey,
  homeTab,
} = useHeaderComponent();
defineProps({
  isPeruShopEnabled: {
    type: Boolean,
    default: false,
    required: false,
  },
});

const isDesktop = useIsDesktop();

const getIcon = (tabType: string) => {
  return `icon-${tabType.toLowerCase().replace(" ", "-")}`;
};
const getLabel = (tabType: string) => {
  return tabType.replace(" ", "_").toLowerCase();
};

const route = useRoute();

const scrollToActiveTab = () => {
  const activeLink = document.querySelector(".header-nav-link.active");
  if (!activeLink) return;
  activeLink.scrollIntoView({
    // @ts-ignore
    offset: 0,
    block: "nearest",
  });
};

onMounted(() => {
  setTimeout(() => {
    scrollToActiveTab();
  }, 250);
});

watch(
  () => route.fullPath,
  () => {
    scrollToActiveTab();
  }
);
</script>
<style>
[layout="global"] .isFeatureHover {
  top: var(--header-height);
}
</style>
<style scoped lang="scss">
.scrollbar-nav {
  --bg-base-color: var(--background5);
  --bg-opacity: 0.05;
  --bo-t: 0;
}
nav.global {
  display: flex;
  padding: 0px 16px;
  align-items: center;
  align-self: stretch;
}
.header-nav-link.active {
  --bg-base-color: var(--primary);
  --bo-z: 2;
  --bo-base-color: var(--primary);
}
.header-nav-link {
  transition: all 300ms ease;
}
.header-nav-link:hover {
  transition: all 300ms ease;
  --bg-opacity: 0.15;
  --bo-base-color: var(--primary);
  --bo-z: 2;
}
.header-nav-link .content {
  display: flex;
  padding: 12px 16px;
  align-items: center;
  gap: 4px;
}
.header-nav-link svg {
  fill: var(--text5);
}
.header-nav-link .label {
  color: var(--text5, #fff);
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  text-transform: uppercase;
  white-space: nowrap;
}

[data-device="mobile"] .scrollbar-nav {
  --bo-t: 93%;
}
[data-device="mobile"] .header-nav-link.active {
  --bo-z: 2;
  --bo-t: 93%;
  --bo-base-color: var(--primary);
}
[data-device="desktop"][theme-color="global_light_01"] .header-nav-link.active {
  .label {
    color: var(--textBtn) !important;
  };
  svg {
    fill: var(--textBtn) !important;
  };
}
</style>
<style lang="scss">
[data-device="mobile"] {
  .el-scrollbar__bar.is-horizontal {
    display: none;
  }
}
</style>